Introduction

TextEd version 3

Uvod

TextEd je editor teksta, on nije word processor. Ova prva definicija je bila neophodna kako bi u potpunosti objasnila šta je TextEd. Pojedini korisnici su navikli na word processor-e i za njih će TextEd biti siromašan u pogledu mogućnosti. Na drugoj strani, mnogi koriste editore i nadam se da njima TextEd doneti radost u svakodnevnom radu.

Zašto editor a ne word processor?

Namena editora je da obrađuju tekst, ne kompleksna dokumenta. U tom zadatku su zaista brzi, delom zato što su mali i brzo se učitavaju, delom zato što nemaju složene funkcije ni objekte koji obrađuju stvari poput tabela, formatiranja, bojenja, provere pisanja i drugih sofisticiranih stvari koje puno koriste procesorsko vreme i memoriju. Kada vam treba da nešto brzo zabeležite ili izmenite, najbrže i najbolje je koristiti editore.

Zašto TextEd?

Uz instalaciju Windows-a dolazi editor zvani "Notepad" koga svi dobro znamo. Takođe znamo koliko je "Notepad" jednostavan i ograničen. Stoga, dosta programera je odlučilo da napišu svoje editore kako bi ispravili nedostatke Notepad-a. Nažalost, 90% od njih nisu pružili veliki napredak.
TextEd nije jedini koji je besplatan i bez ograničenja. On je među onima koji imaju odličan odnos snage i lakoće upotrebe, i svakako je među retkima koji pružaju punu kontrolu nad tekstom, izmenama i slanju mejl poruka.
Kao dodatak, on je jedini na tržištu koji se može naći u obliku DLL-a, spreman za upotrebu od stane drugih programera u njihovim programima.

Najbolja osobina je ta što je TextEd besplatan u punom smislu te reči.
Možete ga instalirati gde god želite, možete ga dati kome god želite, možete ga koristiti kako god želite. Mi ne zahtevamo registraciju, vašu e-mail adresu, ili bilo koji podatak o vama, naravno, svako vaše mišljenje nam je dragoceno.
Ako vam se dopada, imate sugestije, kritike, itd., biće nam drago da ih čujemo. Vaš doprinos u tom pogledu će dosta unaprediti buduće verzije TextEd-a.


User interface

 Korisnicki interfejs

Glavni prozor TextEd-a se sastoji iz menija, toolbara, tabbed notebooka i statusne linije.

Sve opcije dostupne u TextEd-u preko menija su dostupne i preko prečica sa tastature. Ove prečice su standardne windowsove prečice osim onih koje postoje u TextEd-u a ne i u windowsu.

Toolbar sadrži dugmad koje predstavljaju najčešće korišćenje funkcije. Ako vam se čini da toolbar zuzima prostor, možete ga sakriti. Toolbar nije neophodan za pravilno funkcionisanje programa.

Tabbed Notebook sadrži sam editor. Može da sadrži preko dve milijarde editora sa različitim sadržajem. Dozvoljava izmenu više datoteka u isto vreme. Svaki tab sadrži ikonu koja se menja u zavisnosti da li je tekst promenjen ili ne, a takođe sadrži i naziv datoteke.

Statusna linija sadrži različite korisne panele. Prvi pokazuje trenutnu liniju, kolonu i poziciju kursora kako bi se olakšala navigacija kroz tekst. Drugi panel prikazuje da li je aktivni tekst izmenjen ili ne. CAPS, INS i SCR paneli prikazuju status Caps Lock-a (CAPS) Scroll Lock (SCR) tastera, a takođe da li je tekst u Insert (INS) ili u Overwrite (OVR) modu.


Preferences

 Konfiguracija

SMPT & e-mail podešavanja

Podešavanja servera su prilično jednostavna. Stavite podatke o serveru u odgovarajuća polja. Ako ne znate koja su vaša SMTP podešavnja, iskopirajte ih iz vašeg mail klijenta ili se raspitajte kod vašeg provajdera ili administratora.

Podešavanja:
  • "Od: ime" je ime koje će biti prikazano onome ko primi vašu poruku (primera radi, Petar Petrović).
  • "Od: e-mail adresa" je e-mail addresa koju će videti primalac vaše poruke i njegov mail program.
  • "Potpisna arhiva" je bilo koja tekstualna datoteka čiji sadržaj će biti zakačen na kraj poruke kao vaš potpis.
Konfiguracija editora

Dugmad:
  • Font: Menja font za TextEd, njegovu veličinu, stil i boju.
  • Boja: Menja boju pozadine TextEd-a
  • Kanta: Briše listu nedavno otvorenih datoteka (prazni "Reopen" meni)
  • Most: Ovde možete podesiti ekstenzije (tipove) datoteka koje će biti prikazani u Open i Save dijalozima.
XP stil menja, kada je potvrđeno, menja izgled svih menija na XP izgled. Kada nije potvrđen, vraća izgled menija na standardni Windows-ov. Ponekad, XP izgled može da dođe u koliziju sa određenim VGA karticama, tako da će meni biti prikazan pogrešno. U tom slučaju, isključite ovu opciju kako bi dobili standardni izgled.

"Pocetna praznina na Formatiraj u paragrafe" podešava broj znakova za razmak ispred prve reči u rečenici, kada se odabere opcija "Formatiraj u paragrafe", iz "Format" menija.
Podrazumevana vrednost: 3

Leva margina stampaca u mm, određuje levu marginu u milimetrima prilikom štampanja. Shodno tome, desna margina štampača predstavlja vrednost u milimetrima gde će se tekst prelomiti prilikom štampanja.

"Otvori nov fajl na kraju" određuje gde da se pozicionira kursor, po otvaranju nove datoteke. Ako je potvrđeno, kursor će biti postavljen na kraj datoteke. Ako nije potvrđeno, kursor će ostati na početku datoteke.

Asocijacija tipova arhiva

TextEd se može povezati sa određenim tipovima datoteka. Podrazumevani tip (ekstenzija) datoteke za TextEd je TXT. Možete odabrati i druge iz liste, ili ih možete sami dodati.
Selektovanjem tipa, uspostavlja se veza između TextEd-a u datoteke tog tipa tako da kada se dvaputa klikne na takvu datoteku, biće startovan TextEd a datoteka učitana u njega.

Automatska nadogradnja

Ovde možete odrediti kako će TextEd proveravati nove verzije programa. Ako je potvrđeno "Proveri da li ima nadogradnje", TextEd će automatski pokušati da preuzme novu verziju programa ako nova verzija postoji.
Možete navesti i proxy koji TextEd treba da koristi tokom ovog procesa.


 Nestandardne opcije File menija

Novi dokument (Ctrl+N)

Ovo je standardna opcija ali radi na pomalo nestadardan način.
Kada se TextEd startuje, ima otvorenu jednan tab u editoru. Naziv je "Bez naslova". Ovo je default datoteka koja se čuva u memoriji. Odabir "Novi dokument" opcije neće otvoriti novi tab sa još jednim "Bez naslova".
To je tako jer je "Bez naslova" već nova datoteka. Čim unesete makar jedno slovo, odabir "Novi dokument" opcije će otvoriti novu, praznu "Bez naslova" datoteku. Razlika između ova dva slučaja je ta što u prvom, tekst nije bio promenjen dok u drugom jeste.

Nedavno otvoreni

"Nedavno otvoreni" služi kako bi se brzo pristupilo nedavno otvaranim datotekama.
Startovanjem TextEd-a po prvi put, Nedavno otvorena stavka će biti zasivljena kao da je prazna. Otvaranjem bilo koje datoteke, u Nedavno otvorene će biti učitana prečica do te datoteke. "Nedavno otvoreni" može sadržati do deset nedavno otvorenih datoteka.

Zatvori (Ctrl + F4)

Zatvori će zatvoriti trenutno aktivnu datoteku. Ako je otvorena samo jedna datoteka, obrisaće je i postaviti "Bez naslova" kao da je TextEd tek startovan.
Ako je datoteka promenjena, korisnik će biti upitan da li želi da snimi izmene.

Zatvori sve dokumente (Shift+ Ctrl + F4)

"Zatvori sve dokumente" će zatvoriti sve otvorene datoteke, s tim što ćete biti upitani da li želite da snimite izmenjene.

"Osvezi ucitavanjem sa diska" (F4)

Ponovo učitava datoteku sa diska. Ako su izvršene neke izmene, bićete upitani za potvrdu.

Posalji e-mail-om

Kopira čitav tekst iz aktivnog editora u mailer.

Snimi sve

"Snimi sve" snima sve tekstove koji su otvoreni i izmenjeni.

Dodaj na arhivu

"Dodaj na arhivu" to file prikazuje dijalog u kome se bira datoteka u koju se želi dodati tekst. Biće prikazano upozorenje, a nakon potvrde, tekst će biti dodat i snimljen na kraj odabrane datoteke.


 Edit meni (prikazane su samo nestandardne opcije)

Undo/Redo

Undo (Ctrl+Z), će vas vratiti jedan korak unazad, dok Redo (Ctrl+R) će vas vratiti u stanje pre upotrebe Undo opcije.
Jedan klik vraća jedno stanje napred ili nazad.
Undo/Redo ima ograničenje od 99 koraka, sve dok se tekst ne snimi. Nakon što se tekst snimi, Undo/Redo lista se prazni.

Važna primedba:
Kada se koristi "Nadji i/ili zameni" dijalog, postoji samo jedan undo korak a Redo lista je nedostupna.
Undo će vratiti tekst u stanje u kome je bio pre nego što je primenjena bilo koja akcija u "Nadji i/ili zameni" dijalogu, a Undo lista je ispražnjena.
Sa ovakvim načinom funkcionisanja Undo operacije kakvo je sada, Zamena i Napredne akcije su ubrzane blizu 30 (trideset) puta.

Obrisi tekucu liniju

Obrisi tekucu liniju (Ctrl+Y) briše liniju u kojoj se nalazi kursor. Dakle, ne briše jednu rečenicu već samo jednu liniju nezavisno od toga da li je tekst prelomnjen ili ne.

Obrisi Text

Obrisi Text (Shift+Del) će obrisati čitav sadržaj dokumenta, kako sa ekrana tako i iz memorije.
Warning/Confirmation dijalog biće prikazan ovde jer Undo operacija u ovom slučaju ne funkcioniše. Napravljena je sa svrhom da oslobodi zauzetu memoriju, obriše tekst i omogući unos novog teksta u datoteku od početka (ako je datoteka prethodno otvorena ili snimljena).

Skoci na liniju

Skoci na liniju će prikazati dijalog u kome se navodi linija teksta na koju želite da vas TextEd pozicionira. Uvek će "skočiti" na prvo slovo u navedenoj liniji. Broj linije se može videti u status bar-u.

Nadji i/ili zameni

Otvoriće advanced "Nadji i/ili zameni" dijalog (Ctrl+F). Prikazuje se isti dijalog bez obzira da li želite da samo pronađete određeni tekst ili da izvršite prostu ili naprednu zamenu teksta.

Konfiguracija

U "Konfiguracija" dijalogu možete pregledati ili promeniti razne opcije TextEd-a.


Non-standard View menu functions

 Nestandardne funkcije

Uradi lista

"Uradi lista" je lista opcija koju biste vi ili drugi želeli da vidite u budućim verzijama TextEd-a.

Minimizuj u tray

Minimizuj u tray opcija će postaviti TextEd u system tray kada se TextEd zatvori. TextEd ostaje u memoriji ali van desktopa. Ako je ova opcija potvrđena, jedini način da se TextEd zatvori je desni klik na ikonicu TextEd-a u tray-u i odabira "Close" stavke. Ova opcija je korisna ako se TextEd često koristi. U tray modu, TextEd čuva tekst koji se nalazi u njemu, ali zauzima malu kolicinu memorije.
TextEd pamti ovo podešavanje. Jednom potvrđena ova opcija će biti aktivna sve dok se ne deselektuje, čak se TextEd zatvori.

Ekspertni rezim

U Ekspertnom rezimu se skriva toolbar, tako osatvljajući više prostora za editor. Korisno je ako imate monitor na nižoj rezoluciji (primera radi, 14" na 800x600 ili manje) i treba vam svaki milimetar prostora. TextEd pamti ovo podešavanje.

* Expert mod ne funkcioniše u maileru.


Format menu

 Formatiranje

"Velika slova"

"Velika slova" menja selektovani ili sav tekst u VELIKA SLOVA.

"Mala slova"

"Mala slova" menja selektovani ili sav tekst u mala slova.

"Prvo slovo veliko"

"Prvo slovo veliko" menja selektovani ili sav tekst u Title Case, što znači da će prvo slovo u svim rečima biti pretvoreno u veliko, dok će druga slova biti pretvorena u mala.

"Kontra slova"

"Kontra slova" menja velika u mala i mala u velika slova, u selektovanom ili svom tekstu (na primer, TextEd postaje tEXTeD).

"Formatiraj u pasuse"

"Formatiraj u pasuse" dodaje na početak svakog paragrafa određeni broj znakova za razmak (spaces), taj broj se podašava u Preferences dijalogu. Takođe pretvara sve duple CR znakove u jedan CR znak tako da će tekst izgledati kako i treba u dokumentima.

"Formatiraj u prave pasuse"

"Formatiraj u prave pasuse" sprovodi stvarno paragrafiranje u kompjuterskom kontekstu. Neće ubaciti znake razmaka, ali će pretvoriti duple CR znakove u jedan CR.
Ovo je korisno za DTP programe poput QuarkXPress, PageMill ili slične, jer imaju razmake i pravila formatiranja teksta u predefinisanom style sheet-u.

"Izvuci e-mail-ove"

"Izvuci e-mail-ove" izdvaja sve validne e-mail addrese u okviru teksta (ako postoje) i stvoriće novi tab sa listom izdvojenih e-mail adresa.

"Prelom teksta"

Prelom teksta", ako je selektovano prelama linije na kraju reda.


Tools menu

 Alati

Posalji sadrzaj u internet navigator (F9) salje sadrzaj trenutno aktivnog teksta u internet navigator. Opcija je korisna ako pisete HTML strane ili druge dokumente koje bi ste zeleli da vidite kako izgledaju u navigatoru.

Enkripcija i dekpripcija zahtevaju šifru-ključ na osnovu koje će tekst biti enkriptovan ili dekriptovan. Da bi pravilno dekriptovali enkriptovani tekst, šifra-ključ mora biti ista.
Proces dekripcije vas neće obavestiti ako je šifra različita od one kojom je enkriptovan tekst, jednostavno će je uraditi. U tom slučaju, tekst će biti ponovo enkriptovan, čineći ga neupotrebljivim. Proces povraćaja originalnog teksta u tom slučaju zahteva da se enkriptuje sa pogrešnom šifrom kojom je dekriptovan, i zatim se dekriptuje sa pravom šifrom, ali ne postoji garancija da će raditi.

Kada je tekst enkriptovan, TextEd će ga označiti kao "Read only", ne dozvoljavajući da se bilo šta promeni, osim da se snimi.

Enkripcija koristi "BlowFish" 448-bit ključ-algoritam. Vaša ključ-šifra nije stvarni ključ već deo procesa pravljenja ključa. Vaš tekst će biti prilično siguran, ali ne i neprovaljiv. Ako ekspert za enkripciju želi da razbije kod kako bi pročitao poruku, to će i učiniti. Budite potpuno sigurni u to. U slučaju da vam treba pravi bezbednosni proizvod, pitajte za više informacija o našem proizvodu koji je još u razvoju: VGS (Very Good Security).

*** Enkripcioni metod koji TextEd koristi nije namenjen za enkripciju državnih, vojnih, korporacijskih tajni ili drugih strogo poverljivih informacija.

MIME kodiranje/dekodiranje je novo ime za Base64 koji koriste mnogi maileri i internet browseri za prenos datoteka. MIME šifrovanje koristi algoritam koji pretvara bajtove koji nisu u skupu alfanumerika (A..Z, a..z i 0-9 ) u čist tekst. Čak iako izgleda kao enkripcija, on to nije, i zato ga ne korisite na taj način. Može se koristiti za kodiranje datoteke i slanje kao e-mail poruke.


Find & Replace dialog

 Nadji i/ili zameni dijalog

Dijalog se sastoji iz dva (tri u naprednom modu) padajuća boxa. Edit boks za trazenje(označen sa "A" ), Edit boks za zamenu (označen sa "B") i u naprednom modu, dodatni edit boks označen sa "C".
Ove oznake su neophodne za napredni mod, kako bi se razumelo šta gde ide.
Nadji (A) i Zameni (B) pamte poslednje unose. Ti unosi se brišu kada se izađe iz TextEd-a.

Standardna zamena

Opcije pretrage:
  • Razlikuj mala i vel. slova - tokom pretrage se vodi računa o malim i velikim slovima.
  • Samo cele reci - traže se samo cele reči, ne i delovi.
Pocetak:
  • Pocetak dokumenta - pretraga se vrši od početka teksta.
  • Pozicja kursora - pretraga se vrši od trenutne pozicije kursora.
Specialni karakter:

Specijalni karakteri uključuju Line break [CRLF], "Enter" samo break [CR], samo Line feed [LF] i Tab karekter [TAB]. Ovi karakteri postoje jer ih je nemoguće uneti u Find ili Replace box preko tastature.
U zavisnosti koja kontrola je trenutno fokusirana (boks za trazenje ili zamenu), selektovani specijalni karakter, će biti automatski dodat u fokusiran boks.
Na primer, ako želite da nađete reč "dan" koja je na kraju rečenice, tražićete "dan.[CRLF]". Tako, neće biti konfuzije sa rečju "dan" koja nije tačno na kraju rečenice iza koje dolazi novi red.

Vrsta zamene:

  • Standardna zamena - prikazuje dijalog kakav jeste (to je podrazumevana opcija)
  • Napredni procesi - proširuje dijalog čineći dostupnim napredne funkcije
Kako koristiti standardnu zamenu:

Ako želite da pronađete određenu reč ili frazu, potrebno je da ih unesete u "Nadji"(A). Da bi se našlo prvo pojavljivanje te reči potrebno je da pritisnete dugme "Nadji". Kada je reč/fraza pronađena, koristite dugme "Nadji sledece" (sa tastature F3).
Pretraživanje teksta se vrši istovremeno tako da možete odmah videti rezultate direktno u editoru, čak iako je dijalog prikazan preko njega. Dijalog pamti poslednju poziciju tako da ga možete pomeriti na stranu da vam ne smeta da pratite šta se dešava u tekstu.

Napomena: ako je u editoru selektovan deo teksta, sve Standardne funkcije će raditi samo u okviru tog selektovanog teksta. Ako ništa nije selektovano, operacija se primenjuje na čitav tekst.

Ako želite da zamenite samo jedno ili više pojavljivanja reči, unesite reč koju treba zameniti u boks (A) i reč sa kojom se menja u boks (B). Pritiskom na dugme "Zameni" prvo pojavljivanje željenje reči će biti zamenjeno. Možete ponoviti postupak za naredna pojavljivanja.
Međutim, ako želite da zamenite sva pojavljivanja te reči, samo pritisnite dugme "Zameni sve".

Napomena: Undo u dijalogu radi samo jedan nivo unatrag, vraćajući tekst u stanje u kome je bio pre nego što je otvoren dijalog.


Advanced Find & Replace functions

 Napredne Nadji/zameni opcije

Kada se selektuju Napredni Procesi iz "Vrsta zamene" grupe radio dugmadi, primetićete da pored toga što je dijalog proširen, da je opcija "Razlikuj mala i velika slova" uključena i da se ne može isključiti. Ovo je bilo neophodno jer napredne opcije rada tako što razlikuju mala i velika slova, čineći time podešavanja teksta preciznijim.
Morate zaboraviti ono što je napisano na edit i list boxevima. Zapamtite da je prvi box A drugi B i dodatni C.

Kada radite sa velikim tekstovima (1 MB i vise) operacije mogu postati spore. Uspeli smo da ubrzamo operacije za 1530% (15.3 puta) u odnosu na verziju 2.1, ali i dalje na nekim sporijim masinama, ovo moze da potraje i dvadesetak i vise sekundi.

Izdvoj tekst izmedju A i B

Ova funkcija će izdvojiti tekst u svim pojavljivanjima koji se nalazi između reči/fraza koje stavite u A (nadji) i u B (zameni), i staviće ih u posebnu tekstualnu datoteku koja će se automatski otvoriti ako se izdvoji neki tekst.

Primer: želite da izdvojite sav tekst između reči DAN i NOĆ u sledećem tekstu:
"I tada je DAN došao a NOĆ otišla. DAN volim više nego NOĆ."

Izdvojeni tekst će ovako izgledati:
došao a

volim više nego

Zameni tekst izmedju A i B sa C, Uklj
(uključivo između)

Ovaj funkcija će zameniti sva pojavljivanja teksta koji je između reči/fraze koju stavite u A i reči/fraze koju stavite u B, sa rečju/frazom koju stavite u C, uključujući reči/fraze koju su u A i B.

Primer: želite da zamenite sve što je između "DAN" i "NOĆ" sa "ONA" na tekstu text
"I tada je DAN došao a NOĆ otišla. DAN volim više nego NOĆ."

Rezultat:
"I tada je ONA otišla. ONA."

Zameni tekst izmedju A i B sa C, Isklj.
(isključivo između)

Kao i prethodno, osim što reči/fraze u A I B se ne diraju - ne brišu se prilikom zamene.

Konvertuj tekstualne ESCAPE kodove u ESCAPE kodove

Ova funkcija će zameniti sve escape kodove predstavljene kao string u prave escape kodove.
Primera radi, \r\n će biti zamenjeno sa znakom [CRLF] (što nije vidljivo).
Pogledajte tabelu escape kodova. Funkcija menja escape kodove sa njihovom vrednošću.

Character | Value | Constant | Description
\a | #7 | BELL | Bell
\b | #8 | BACKSPACE | Backspace
\f | #12 | FF | Form Feed
\n | #10 | LF | Line Feed
\r | #13 | CR | Carrage Return
\t | #9 | TAB | Tabulator
\v | #11 | VT | Vertical Tabulator

Pobrisi HTML kodove i komande

Ova funkcija će obrisati sve HTML tagove. Korisna je za čišćenje sourca web strane kako bi se napisani tekst lakše pročitao.
Funkcija zapravo koristi "uključivo između" funkciju, čisteći sav tekst koji je između "<" i ">".

Zameni u svim dokumentima

Ova funkcija će zameniti tekst ne samo u jednom dokumentu već u svim otvorenim dokumentima.
Imajte na umu da kada koristite ovu funkciju Undo opcija nije dostupna.


 Brza dugmad

"Brza dugmad" sluze kao dodatna pomoc koja ubrzava rad. Ova alatka ima ponasanje izmedju visestrukog klipborda i templejta.
Bilo koji tekst ili deo teksta moze biti selektovan i uskladisten na dugmad od 0 do 9. Kasnije, mozemo ubaciti uskladisteni tekst u editor po potrebi. Ovo ponasanje lici na ponasanje klipborda. Element templejta je izrazen u tome sto se ubacene vrednosti pamte iako se TextEd zatvori.
Vazno je istaci da se samo mogu koristiti dugmad 1,2,3,4,5,6,7,8,9 i 0 na tastaturi, a ne i ista dugmad na numerickoj tastaturi.
Ovo se obicno koristi za male delove teksta koji se cesto ponavljaju, kao i za ucestalu postavku strane za pisanje (templejt).

Kako koristiti:

U daljem tekstu, kada kazem DUGME, podrazumevam dugmad od 0 do 9.

  • Skladistenje teksta u dugme, selektovati tekst i pritisnuti Ctrl+Shift+DUGME
  • Ubacivanje uskladistenog teksta u editor: Ctrl+DUGME
  • Brisanje uskladistenog teksta: nista ne sme biti selektovano i Ctrl+Shift+DUGME treba biti pritisnuto. TextEd ce zahtevati da potrvdite operaciju. Zapravo, skladisti se "nista" u odredjeno dugme.
Vrednosti dugmadi su uskladistene u "qclip.dat" arhivi. Brisanjem ovoge arhive nestaju sve predhodno uskladistene vrednosti. Mozete ovo iskoristiti da obrisete sve odjednom. TextEd kreira tu arhivu po startovanju.

UPOZORENJE: TextEd ucitava svih deset vrednosti u memoriju. Ukoliko su veliki tekstovi uskladisteni, svi ce biti ubaceni u RAM memoriju. Ukoliko nemate dovoljno slobodne memorije, Windows ce sam odraditi posao dobro tako sto ce koristiti virtuelnu memoriju, ali rad moze postati sporiji.
(pod velikim tekstovima podrazumevam tekstove preko 250 KB - retko se dogadja)


Quick notes

 Brze beleske

Mogu se zakleti da ste vise puta, dok ste pisali neki dokument, bili u prilici da otvarate neki drugi tekst samo da bi ste videli jedan obican podatak.
Dok sam pisao jednu pricicu, stalno sam morao drzati pri ruci tekst fajl gde sam zapisao likove koje se pojavljuju u prici i njihove podatke. To sada vise nije potrebno.

Slicno "Uradi" listi, kada se otvore beleske (Ctrl+Shift+Q), pojavljuje se lista istih sa malim toolbar-om, ovoga puta gore, i status bar-om koji daje informaciju o broju beleski koje su ogranicene samo prostorom vaseg hard diska.

Beleske imaju sledeca polja: identifikacioni broj, da li je podrazumevana, kratak opis i tekst beleske. Tekst beleske se ne pojavljuje u listi i mora se posebno pozvati pritiskom na "Izmeni" dugme ili direktno iz editora. Vazno je zapamtiti da samo jedna poruka moze biti podrazumevana sto omogucava brz poziv iz editora.

Iako se svojstvo beleski moze koristiti kao visestruki clipboard, to im nije namena. Iz editora, pritiskom na dugme F12 se otvara podrazumevana beleska koja se moze menjati na licu mesta. Iz samih beleski, promena istih se vrsi samo pritiskom na dugme "Izmeni".


ToDo list

 "Uradi" lista

"Uradi lista" je vrlo korisna stvarcica koja se nasla u TextEd-u tek od verzije 3.0. Omogucava vam da kontrolisete i zabelezite stvari koje trebaju da se urade.

"Uradi lista" se sastoji od glavne liste gde su izlistane stavke sortirane po prioritetu. Mali toolbar na dnu vam omogucuje da ubacite, popravite, obrisete i pogledate odredjenu stavku.
Sve opcije su dostupne, takodje, na popup meniju. Dupli klik na stavku otvara detaljni pogled opisa, isto kao da ste pritisnuli dugme za pogled.

Koriscenje "Uradi liste" je vrlo jasno i jednostavno te dodatna objasnjenja nisu potrebna. Mozete joj pristupiti precicom sa tastature: Ctrl+Shift+D.


 TextEd-ov mailer

Otvaranjem mailer-a, tekst iz trenutno aktivnog dokumenta će biti iskopiran u njega. Ako vaša SMTP podešavanja nisu uneti, automatski će se otvoriti dijalog za njihov unos.

Slanje mejla se obavlja automatski. Ako imate stalnu vezu sa internetom, poput ADSL-a, LAN-a itd. sve će proći bez vaše intervencije. Ako imate modemsku vezu sa internetom, i ako trenutno niste povezani na internet, prilikom slanja mejla, biće pozvan Dial-Up dijalog.

Mailer šalje text u običnom tekst (plain text) formatu. To znači da ne možete slati HTML formatirane poruke. Imajte na umu da je TextEd-ov mailer samo korisna alatka koja može da brzo pošalje nekome tekst, a ne mejl program koji treba da koristite u svim situacijama.


Adresar

Kada se prvi put startuje, ABook će otvoriti "Adresar" čarobnjaka. Morate napraviti najmanje jedan adresar kako bi ga mogli koristiti.
Kada se napravi podrazumevani adresar, "tree" meni će biti prikazan sa jednom, praznom stavkom. Predlažemo da izmenite tu stavku, a ne da je obrišete, jer adresar mora sadržati najmanje jedan kontakt.

Možete napraviti i druge adresare radi lakše organizacije.
Svaki adresar se pravi u posebnoj datoteci. To nije tabela u bazi podataka, već složen, table-alike bafer sa ograničenim mogućnostima pretraživanja i sortiranja.

Upotreba adresara je prilično jednostavna. Možete dodati, izmeniti i obrisati stavke, a takođe ih možete dodati u ZA ili CC polja mailera sa odgovarajućim klikom dugmeta.
Podatke o određenoj stavci možete dobiti selektovanjem te stavke, desnim klikom i odabirom željenje informacije.


 Tehničke informacije

Tabbed notebook može otvoriti MaxInt - 1 broj tabova (2,147,483,646), od kojih svaki sadrži editor. Editor je nasleđen iz RxRichEdit klase koja ima kapacitet od MaxInt - 1 number bajtova koji su slova i specijalni karakteri (2,147,483,646 bytes = 2 GB ). Teorijski gledano to znači da, TextEd može da otvori 2 milijarde editora od kojih svaki sadrži 2 GB teksta. U praksi to nije moguće na sadašnjim kućnim računarima jer prevazilazi kapacitete diskova i memorije, ali ovako znate da ne morate brinuti o broju i dužini datoteka.

Kada, usled dužine teksta i broja editora dođe do prekoračenja raspoložive memorije, sam Windows će prebaciti veći deo memorije u PageFile (virtualni RAM). Swapping je u potpunosti pod kontrolom operativnog sistema.
Korisnici mogu primetiti da je TextEd brži na Windows-u NT/2000/XP zbog boljeg upravljanja memorijom nego što je to slučaj Windows-u 95/98/ME.

Editor ima "PlainText" podešavanje postavljeno na TRUE što znači da ne podržava mogućnosti formatiranja RichText-a, ali je zato ubrzan više od 10 puta.

Zapravo, TextEd može da otvori i prikaže standardni RichText (RTF datoteku) i da je snimi, takvu kakva jeste ili uz jednostavne izmene, ali je ne može snimiti kao drugu RTF datoteku. Ako je "Save As..." pozvano, TextEd će ponuditi obični tekst format i RTF datoteka će biti automatski konvertovana u standardni tekstualni format.


Troubleshooting

 Resavanje problema

Problem:
Meni se prikazuje do polovine svoje veličine. Stavke menija postaju vidljive tek kada pređem mišem iznad njih.

Rešenje:
Koristite 256 boja ili manje, dok je mininimum za XP stil menija 65536 boja (16-bit). Ako to nije slučaj, zahtevi za XP izgled prevazilaze mogućnosti veše grafičke kartice.
Potrebno je da odete u Konfiguracije, Podesavanja editora i da dečekirate "XP stil menija". Meni će se vratiti na standardni windows-ov izgled.

Problem:
Koristim modem i veza nije uspostavljena. Želim da pošaljem e-mail ili registraciju ali Dial-Up se ne pojavi automatski.

Rešenje:
Problem može biti uzrokovan starijom verzijom Windows-a ili modema. U ovom slučaju nema pomoći. Povežite se ručno pre nego što pokušate da pošaljete mejl ili registraciju.

Problem:
Kada se TextEd startuje, izda poruku da RASAPI32.DLL nedostaje i potom se zatvori.

Rešenje:
Rasapi32.dll je sastavni deo Windows-a, i jednostavno nije moguće da ne postoji, osim ako nije ručno uklonjen.
Treba da bude u:
\Windows\System32 ili \WINNT\System32 direktorijumu.

Ako ova datoteka ne postoji nigde na računaru, reinstalirajte Dial-up networking ili bilo koji deo koji uključuje TCP/IP.
To se može uraditi iz Control Panel->Add/Remove programs/ Windows components tab. Ako pronađete tu datoteku negde drugde, iskopirajte je u sistemski derektorij i postupite kao što je opisano u nastavku.

Ako ova datoteka postoji, otvorite command prompt (MS-DOS prompt) i promenite direktorij na onaj u kome se nalazi, na primer, kucajte:
C: (ili D:)
cd Windows (ili Winnt)
cd system32

 zatim otkucajte sledeću liniju:
regsvr32 rasapi32.dll

 U slučaju da iz nekog razloga ne može da registruje DLL, iskopirajte ga u direktorijum u kome se nalazi TextEd.


Registration

 Registracija

Registracija TextEd-a nije obavezna u bilo kom smislu. Vi ste legalni korisnik samim posedovanjem TextEd-a (neizmenjenog od svih osim "Green House multimedia").

Međutim, registracija se isplati:
  • Bićete obavešteni o novim verzijama TextEd-a kao i drugih GH proizvoda, naravno ako ste odabrali da budete obavešteni
  • Možete dobiti popust na novim komercijalnim proizvodima
  • Možete postati Beta-Tester novih GH proizvoda što može dovesti do značajnih popusta u komercijalnim verzijama. U zavisnosti od vašeg učešća u testiranju, možete postati zvanični beta-tester i biti nagrađeni sa besplatnim gotovim aplikacijama
  • U zavisnosti od broja korisnika, sa ne engleskog govornog područja, možemo početi da prevodimo proizvode na vaš maternji jezik
Mi ćemo takođe imati koristi:
  • Vaše mišljenja će učiniti naše proizvode boljim


 History of TextEd changes

2nd JULY:
- TextEd created by Emil Beli and announced request for team members who
would work on a free Editor

11nd JULY:
- 3 people applied:
- Igor Savkic
- Goran Milosavljevic
- Goran Todorovic
- "The Friendly Team" founded

18th JULY: Emil Beli;
- WordWrap checked/unchecked;
- Editor Expert Mode added

20th July
- Tray icon/functions added; Goran Milosavljevic
- One instance bring to front; Igor Savkic
- Warning message on Clear Text; Emil Beli

23rd July
- unChangeCase added (code by Goran Todorovic)
- Refresh from Disk added; Emil Beli
- Added "Format" in menu, to put functions for Changing case
and WordWrap moved into it.; Emil Beli

24th July:
- Previous instance focusing when it's minimized to desktop or SysTray; Igor Savkic

26th July
- Recent files adding and reading completed; Emil Beli

27th July
- procedure ShowFile changed and All loading and creations are done by it
- TRichEdit replaced by TRxRichEdit

28th July 2001
- Change of how application Starts, changed application MainForm to frmEditor; Igor Savkic
- Application restore changes, added restore when
application is minimized to SystemTray; Igor Savkic

1st Aug:
- Added XP menus ; Emil Beli
- Repaired color & font storage; Emil Beli
- Repaired registry for Recent files; Emil Beli

2nd Aug:
- Repaired "Save text" bug when application is going to tray

3rd August 2001
- Changed implementation of Application bring to front; Igor Savkic

6th Aug:
- Added "File-Associations" (tab and functions) in the "Properties"; Goran Milosavljevic

9th August 2001
- Fix of not opening file of associated type; Igor Savkic
- Fix of bug with ParamFileList freeing in OnClose handler; Igor Savkic

20th August 2001
- Fix of save warning if Untitled is not modified ; E.Beli
- Recent files reopen fixed; E.Beli

21th August 2001
- Bugfix in Reopen files; E.Beli
- OpenDialog now remembers last used file type ; E.Beli
- Changed layout of EditorSettings in Preferences + functions added ; E.Beli
- Added Shortcut on preferences menu to Shift+Ctrl+P ; E.Beli
- Unit FileTypes added. On preferences, user may customize FileTypes in Dialogs.

28th August 2001
- NetMaster Components replaced with Indy,
additional changes regarding this one; Igor Savkic

30th August 2001
- Change of passing files to open between application instances; Igor Savkic

30th August 2001
- Merge of code from TextEd.dpr and this unit regarding passing files to open from
one application instance to another; Igor Savkic
- Fix of bug referencing Application.MainForm although it's not yet created; Igor Savkic

8th September 2001
- Saving modified files changes and various other changes
- Fix, referencing destroyed EditorRichEdit in ShowFile Procedure; Igor Savkic

16th September 2001
- TextEd v1.2 released

22nd September 2001
- Fix, bug in saving files to the root
- Fix in opening files that have spaces in their name; Igor Savkic

27th September 2001
- Fix of forced showing SMTP preferences tab when SMTP is not set and preferences invoked; Emil Beli
- Fix of Title Case procedure ; Emil Beli

28-29 September 2001
- Changes in communication of program instances and command line params processing,
some minor program inconsistances fix; Igor Savkic

20th September 2001
- Corrected declaration of BroadcastSystemMessage function; Igor Savkic

22nd September 2001
- Fix on opening files that have spaces in their name; Igor Savkic

28-29 Septembar 2001
- Instances comunication implemented using memmory mapped files and sending
WM_COPYDATA message; Igor Savkic

16 OCT; Beli
- Repaired Win95 errors in unRecent
- Added desactivation of XP style menu in preferences
- Repaired Special chars in Find&Replace

17 OCT; Beli
- Added "Extract E-mails" routine

18 OCT; Beli
- Added Format to Paragraphs
- Added Format to Real Paragraphs
- Added encryption/decryption

18. NOV
- DUN added; Savkic

19/20 NOV; Beli
- OnUrlClick added;
- Paste to Find&Replace dialog fixed

22. NOV; Beli
- Added Advanced replace/process functions to Replace Dialog
- conversion of String Escaped chars to Escaped chars
- Stripping HTML code
- Extraction between
- Replacing between, included and excluded type
- Added Redo
- Enhanced Undo
- EditorRichEdit (TRichEdit) is closed at create so new TMyRichEdit (TRxRichEdit)
is created at once to enable advanced functions of Rx. This is done to avoid
major recoding due to initial wrong conception of TextEd.

05. DEC; Beli
- Repaired Replace All's busting of text formatting due to WordWrap.
- Added Countries in Registration form's combo box
- Allowed RTF viewing and editing, but disabled saving as RTF on Save As...
- Added "Append to file"

01-03 FEB 2002; Igor Savkic
- Printing with text wrap;
- Added Left & Right margins in milimetars;

05 FEB 2002; Emil Beli
- Added MIME Encode/Decode

------------------------- Version 2.0.1.39+ ------------------------------------

08 FEB 2002; Emil Beli
- Added Pop-up menu on Tabs.
- Changed Status bar, added INS,CAPS,SCR panels

15 FEB; Emil Beli
- Caption contains full path and filename
- Added Size on status bar
- Minor bugfixes
- Added Jump to Line
- Added Character control in Status Bar
- Added closure of Find&Replace dialog on Esc key
- Added Hints on status bar panels
- Code cleaning
- MIME Encode to file

------------------------- Version 2.1.0.6 RC1 released -----------------------

16 FEB 2002; Emil Beli
- Size on status bar removed due to performace sink.

06 MAR 2002; Emil Beli
- AutoUpdate feature added

07 MAR 2002; Emil Beli
- WordWrap checkbox inversion repaired
- File read-only status displayed properly
- Help file updated

----------------------- Final version 2.1 (2.1.1.12) released -----------------